- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::TiffCreator Class Reference

TIFF component factory for standard TIFF components. More...

`#include <tiffparser.hpp>`

Collaboration diagram for Exiv2::TiffCreator:

[legend]
List of all members.

## Static Public Member Functions
static TiffComponent::AutoPtr | create (uint32_t extendedTag, uint16_t group)
| Create the TiffComponent for TIFF entry extendedTag and group based on the embedded lookup table.

## Detailed Description

TIFF component factory for standard TIFF components.

## Member Function Documentation

TiffComponent::AutoPtr Exiv2::TiffCreator::create | ( | uint32_t | extendedTag,
|  | uint16_t | group
| ) | `[static]`

| Create the TiffComponent for TIFF entry extendedTag and group based on the embedded lookup table. If a tag and group combination is not found in the table, a TiffEntry is created. If the pointer that is returned is 0, then the TIFF entry should be ignored.

The documentation for this class was generated from the following files:

- tiffparser.hpp
- tiffparser.cpp